#ifndef ELFCONFIG_H
#define ELFCONFIG_H

class ElfConfiguration
{
public:
	bool usePixie;
	bool useS100;
	bool use6845;
	bool use6847;
	int charLine;
	int screenHeight6847;
	bool useTMS9918;
	bool use8275;
	int vtType;
	bool useUart;
	int baudR;
	int baudT;
	bool autoBoot;
	bool rtc;
	bool nvr;
	bool useSwitch;
	bool useHex;
	bool useTape;

	int keyboardType;
	bool useHexKeyboard;
	bool useHexKeyboardEf3;
	bool useKeyboard;
	bool UsePS2;
	bool ps2Interrupt;	
	bool usePs2gpio;

	int diskType;
	bool ideEnabled;
	bool fdcEnabled;

	int memoryType;
	bool usePortExtender;
	bool usePager;
	bool useEms;
	bool useLedModule;
	bool useElfControlWindows;
	bool showAddress;
	wxString ledTime;
	long ledTimeMs;

	bool bootRam;
	bool clearRam;
	bool clearRtc;

	bool forceUpperCase;
	int qSound_;
};

#endif	// ELFCONFIG_H