#ifndef KEYMAPDLG_H
#define KEYMAPDLG_H

class KeyMapDialog : public wxDialog
{
public:

    KeyMapDialog(wxWindow* parent);
	~KeyMapDialog(){};

private:
    void onSaveButton( wxCommandEvent &event );
    void onInButton( wxCommandEvent &event );
    void onHexKey( wxCommandEvent &event );
    void onGameKey( wxCommandEvent &event );
    void onGameHex( wxCommandEvent &event );
    void onSwitchPad( wxCommandEvent &event );
    void onSwitchPlayer( wxCommandEvent &event );
    void onHexLocation( wxCommandEvent &event );
    void onHexChar( wxCommandEvent &event );
    void onGameDefault( wxCommandEvent &event );
	void onSwitchStudio( wxCommandEvent &event );
	void onStudioLocation( wxCommandEvent &event );
    void onStudioChar( wxCommandEvent &event );
	void onKeyDown(wxKeyEvent& event);
	void connectKeyDownEvent(wxWindow* pclComponent); 
	void compareButtons(int toBeCheckedHex, int toBeCheckedValue, int type);
	void updateButtons();
	void setLabel(wxString printStr, int button, int key);
	void onAuto(wxCommandEvent&event);
	void enableAuto(bool status);

	wxButton *Button0Pointer;
	long hexKey_;
	long gameKey_;
	long inKey_;
	int hexKeyDefA_[16];
	int keyDefGameHexA_[5];
	int keyDefGameValueA_[5];
	int inButton_;

	int hexKeyDefB_[16];
	int keyDefGameHexB_[5];
	int keyDefGameValueB_[5];

	bool hexPadA_;
	bool hexPadBdefined_;
	bool player2defined_;
	wxString computerTypeStr_;
	int numberOfKeys_;
	bool autoGame_;

    DECLARE_EVENT_TABLE()

};

#endif  // KEYMAPDLG_H
