#ifndef FUNCTIONKEYDLG_H
#define FUNCTIONKEYDLG_H

class FunctionKeyMapDialog : public wxDialog
{
public:

    FunctionKeyMapDialog(wxWindow* parent);
	~FunctionKeyMapDialog(){};

private:
    void onSaveButton( wxCommandEvent &event );
    void onFunctionKey( wxCommandEvent &event );
    void onDefault( wxCommandEvent &event );
	void onKeyDown(wxKeyEvent& event);
	void connectKeyDownEvent(wxWindow* pclComponent); 
	void LoadAndCompare(wxString computer);
	void LoadAndCompareStudio(wxString computer);
	void compareButtons(int toBeCheckedButton, int toBeCheckedValue);
	void updateButtons();
	void setLabel(wxString printStr, int button, int key);
	void onEnableEscape(wxCommandEvent&event);

	int functionKey_[13];
	long fKey_;

	bool useExitKey_;

    DECLARE_EVENT_TABLE()

};

#endif  // FUNCTIONKEYDLG_H
